<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt. Jede Weitergabe an  //
//  Dritte ist untersagt. nderungen am Quellcode drfen nur vorgenommen werden,    //
//  wenn Sie Inhaber einer Lizenz der Vollversion von www.disputa.de sind.          //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) Constantin Fahl Web Service - info@cfws.de - www.cfws.de - www.disputa.de   //
//                                                                                  //
//**********************************************************************************//

require_once './include/functions.php';

// Installation
if ((!is_writeable("./data")) OR (!file_exists("./data/forum.ini")))
{
	echo "<script language=\"Javascript\">location.href=\"./install/index.php\";</script><a href=./install/index.php>Please click here...</a>";	
	Exit;
}

// Default-Settings
session_start();
@extract($_GET); 
$_FORUM = IniLoad('./data/forum.ini');
$_ADMINS = IniLoad('./data/user/Admins.grp.ini');
$history_filename = "./data/history.txt";

if (!file_Exists('./styles/'.$_FORUM['settings_design_style'].'/text.css'))
{
	$_FORUM['settings_design_style'] = "default";
}

require_once './language/deutsch.php';
if (file_Exists('./language/'.$_FORUM['settings_forum_language']) && ($_FORUM['settings_forum_language'] <> ''))
	require_once './language/'.$_FORUM['settings_forum_language'];

//* Login & Logout *//
$check_new_posts = false;
if ($_SESSION['IP'] == '') $_SESSION['IP'] = $_SERVER['REMOTE_ADDR'];
if (($_GET['action'] == 'logout') OR ($_GET['action'] == 'delete2'))
{ 
	if ($_COOKIE['loginname'] != '')
	{
	 	setcookie("loginpasswd", "n/a", time()+100);
		$_COOKIE['loginname'] = '';
		$_COOKIE['loginpasswd'] = '';
	}
	$_SESSION['Benutzername'] = '';
	$_SESSION['new_posts_date'] = '';
	unset($_SESSION['Benutzername']);
}

if (($_GET['action'] == 'login') OR ($_POST['action'] == 'login'))
{
	if (file_exists('./data/user/'.$_POST['name'].'.usr.tmp'))
	{
		$ini = IniLoad('./data/user/'.$_POST['name'].'.usr.tmp');
		if ($_POST['passwd'] == $ini['password'])
		{
			if (rename('./data/user/'.$_POST['name'].'.usr.tmp', './data/user/'.$_POST['name'].'.usr.ini'))
			{
				$_FORUM['newest_user'] = $_POST['name'];
				IniSave('./data/forum.ini', $_FORUM);
			}
		}			
	}
	if (val_user($_POST['name'], $_POST['passwd']))
	{
		$_SESSION['Benutzername'] = $_POST['name'];
		if ($_POST['cookie'] == "on")
		{	
	  		setcookie("loginpasswd", md5($_POST['passwd']), time()+99999999999999);
		}
		setcookie("loginname", $_POST['name'], time()+99999999999999);
		$check_new_posts = true;
	}
	else
		$MSG_ERROR = $_TEXT['ERROR_WRONG_LOGIN'];
}
else  
{
	if ((!$_SESSION['Benutzername']) && (val_user_md5($_COOKIE['loginname'], $_COOKIE['loginpasswd'])) && ($_GET['action'] != 'logout'))
	{
		$_SESSION['Benutzername'] = $_COOKIE['loginname'];
		$check_new_posts = true;
	}
}

// New Posts
if (($check_new_posts) && (file_exists("./data/user/".$_SESSION['Benutzername'].".usr.ini")))
{
	$udat = IniLoad("./data/user/".$_SESSION['Benutzername'].".usr.ini");
	if ($udat['lastonline_date'] <> '')
	{
		$_SESSION['new_posts_date'] = $udat['lastonline_date'];
		$_SESSION['new_posts_seen'] = '';
		$_SESSION['new_posts_boards_seen'] = '';
     	}

}

// Lastonline
if (file_exists("./data/user/".$_SESSION['Benutzername'].".usr.ini"))
{
	$udat = IniLoad("./data/user/".$_SESSION['Benutzername'].".usr.ini");
	$udat['lastonline_date'] = time();
	IniSave("./data/user/".$_SESSION['Benutzername'].".usr.ini", $udat);
} 
else
{
	if ((IsUser($_POST['name'])) AND ((val_user($_POST['name'], $_POST['passwd']))))
	if (file_exists("./data/user/".$_POST['name'].".usr.ini"))
	{
		$udat = IniLoad("./data/user/".$_POST['name'].".usr.ini");
		$udat['lastonline_date'] = time();
		IniSave("./data/user/".$_POST['name'].".usr.ini", $udat);
	} 
}

// System: Lastcheck
if ($_FORUM['system_lastcheck']+86400 < time())
{
	$_FORUM['system_lastcheck'] = time();
	IniSave('./data/forum.ini', $_FORUM);
	$tmpusers = LoadFileList('./data/user/', '.usr.tmp');
	foreach ($tmpusers as $user)
	{
		$ini = IniLoad('./data/user/'.$user);
		if ($ini['register_date']+864000 < time())
			unlink('./data/user/'.$user);
	}
}	

?>