<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt. Jede Weitergabe an  //
//  Dritte ist untersagt. nderungen am Quellcode drfen nur vorgenommen werden,    //
//  wenn Sie Inhaber einer Lizenz der Vollversion von www.disputa.de sind.          //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) Constantin Fahl Web Service - info@cfws.de - www.cfws.de - www.disputa.de   //
//                                                                                  //
//**********************************************************************************//


require './include/page_top.php';

$users = LoadFileList("./data/user/", ".usr.ini");

$show_user = array();

foreach ($users as $user)
{
	$ini = IniLoad('./data/user/'.$user);
	if (!is_numeric($ini['register_date'])) $ini['register_date'] = '';
	if (!is_numeric($ini['lastonline_date'])) $ini['lastonline_date'] = '';
	$ini['username'] = str_replace('.usr.ini', '', $user);
	$ini['points'] = user_points($ini['username']);
	array_push($show_user, $ini);
}

if (!in_array($_GET['sort'], array('0', '1', '2', '3'))) $_GET['sort'] = 1;

	function sort0 ($a, $b) 
	{
	    if ($a['username'] == $b['username']) return 0;
	    return (strtolower($a['username']) > strtolower($b['username'])) ? 1 : -1;
	}
	function sort1 ($a, $b) 
	{
	    if ($a['points'] == $b['points']) return 0;
	    return ($a['points'] < $b['points']) ? 1 : -1;
	}
	function sort2 ($a, $b) 
	{
	    if ($a['register_date'] == $b['register_date']) return 0;
	    return ($a['register_date'] < $b['register_date']) ? 1 : -1;
	}
	function sort3 ($a, $b) 
	{
	    if ($a['lastonline_date'] == $b['lastonline_date']) return 0;
	    return ($a['lastonline_date'] < $b['lastonline_date']) ? 1 : -1;
	}

usort($show_user, "sort".$_GET['sort']);

$pages = ceil(count($show_user)/20);
if ($_GET['page']>$pages) $_GET['page']=$pages;
if ($_GET['page']<1) $_GET['page']=1;
$von = ($_GET['page']-1)*20;
$bis = ($_GET['page']*20)-1;
if ($bis>=count($show_user)) $bis=count($show_user)-1;

echo '

<div id="content">
	<table class="main">
	<tr>
		<td class="tb" colspan="3"><a href="'.url('index.php').'">'.$_TEXT['FORUM'].'</a> &raquo; '.$_TEXT['NAV_RANKING'].'</td>
		<td class="tb" colspan="2" style="text-align:right;">
';
			show_pages($pages, $_GET['page'], 'ranking.php?sort='.$_GET['sort']);
echo '
		</td>
	</tr>
	<tr>
		<td class="oben"><a href="ranking.php?sort=0&page='.$_GET['page'].'">'.$_TEXT['LOGIN_USERNAME'].'</a></td>
		<td class="oben"><a href="ranking.php?sort=1&page='.$_GET['page'].'">'.$_TEXT['POINTS'].'</a></td>
		<td class="oben"><a href="ranking.php?sort=2&page='.$_GET['page'].'">'.$_TEXT['TIME_OF_REGISTRATION'].'</a></td>
		<td class="oben"><a href="ranking.php?sort=3&page='.$_GET['page'].'">'.$_TEXT['TIME_OF_LAST_VISIT'].'</a></td>
		<td class="oben">'.$_TEXT['PROFILE'].'</td>
	</tr>
';

	$color="g";
	if (count($show_user) == 0)
	{
		echo "<tr><td colspan=5 class=$color>".$_TEXT['ERROR_SEARCH_USER_NO_RESULT']."</td></tr>";
	}
	else
	{
		for ($i=$von; $i<=$bis; $i++)
		{
			echo "<tr><td class=$color>".user($show_user[$i]['username'])."</td><td class=$color>".$show_user[$i]['points']." ".$_TEXT['POINTS']."</td><td class=$color>".ftime($show_user[$i]['register_date'])."</td><td class=$color>".ftime($show_user[$i]['lastonline_date'])."</td><td class=$color><a href=\"user.php?user=".$show_user[$i]['username']."\">".$_TEXT['PROFILE']."</a></td></tr>";
			if ($color=="g") {$color="w";}else{$color="g";}
		}
	}

	
echo '
	<tr>
		<td class="tb" colspan="3"><a href="'.url('index.php').'">'.$_TEXT['FORUM'].'</a> &raquo; '.$_TEXT['NAV_RANKING'].'</td>
		<td class="tb" colspan="2" style="text-align:right;">
';
			show_pages($pages, $_GET['page'], 'ranking.php?sort='.$_GET['sort']);
echo '
		</td>
	</tr>
	</table>
</div>
';

require './include/page_bottom.php';
?>