<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt. Jede Weitergabe an  //
//  Dritte ist untersagt. nderungen am Quellcode drfen nur vorgenommen werden,    //
//  wenn Sie Inhaber einer Lizenz der Vollversion von www.disputa.de sind.          //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) Constantin Fahl Web Service - info@cfws.de - www.cfws.de - www.disputa.de   //
//                                                                                  //
//**********************************************************************************//


require './include/init.php';

$user = $_GET['user'];

if (!IsUser($user))
{
	$MSG_ERROR = $user.' '.$_TEXT['ERROR_NO_REG_USER'];
	include('./index.php');
	Exit;

}


require './include/page_top.php';

$data = IniLoad('./data/user/'.$user.'.usr.ini');

// Themen pro Tag
$anz_bei = $data['count_topics'];
$anz_tag = ceil((time()-$data['register_date'])/86400);
$perday = round(($anz_bei*10)/($anz_tag));
$themen_day = ' ('.($perday/10).' '.$_TEXT['A_DAY'].')';

// Antworten pro Tag
$anz_bei = $data['count_answeres'];
$anz_tag = ceil((time()-$data['register_date'])/86400);
$perday = round(($anz_bei*10)/($anz_tag));
$antworten_day = ' ('.($perday/10).' '.$_TEXT['A_DAY'].')';

// Locked in Prozent
if ($data['count_locked']>0) $locked = " (".round($data['count_locked']*100/$data['count_topics'])."%)";

echo '

	<div id="content">
		<table class="main">
		<tr><td class="oben" colspan="2">'.$_TEXT['PROFILE'].': '.user($user).'</td></tr>
		<tr><td class="g" style="vertical-align:top; width:70%;">
			<table class="main">
				<tr><td class="g"><b>'.$_TEXT['LOGIN_USERNAME'].'</b></td><td class="g"><b>'.user($user).'</b></td></tr>
				<tr><td class="w">'.$_TEXT['RANKING'].'</td><td class="w"><b>'.user_points($user).' '.$_TEXT['POINTS'].'</b></td></tr>
				<tr><td class="g">&nbsp;&nbsp;&nbsp;'.$_TEXT['TOPICS'].'</td><td class="g">'.$data['count_topics'].$themen_day.'</td></tr>		
				<tr><td class="w">&nbsp;&nbsp;&nbsp;'.$_TEXT['ANSWERES'].'</td><td class="w">'.$data['count_answeres'].$antworten_day.'</td></tr>
				<tr><td class="g">&nbsp;&nbsp;&nbsp;'.$_TEXT['LOCKED_TOPICS'].'</td><td class="g">'.$data['count_locked'].$locked.'</td></tr>
				<tr><td class="w">'.$_TEXT['TIME_OF_REGISTRATION'].'</td><td class="w">'.ftime($data['register_date']).'</td></tr>
				<tr><td class="g">'.$_TEXT['TIME_OF_LAST_VISIT'].'</td><td class="g">'.ftime($data['lastonline_date']).'</td></tr>

				'.(trim($data['text'])!=""?'<tr><td class="w">'.$_TEXT[PROFILE_DATA_TEXT].'</td><td class="w">'.$data['text'].'</td></tr>':'').'
			</table>

			<table class="main">
';


// at: sonstige Angaben
$list = array();
$class = "w";
foreach ($list as $line)
{
	$class = ($class=='w'?'g':'w');
	echo '
			<tr>
				<td class="'.$class.'">'.$line[0].'</td>
				<td class="'.$class.'">'.$line[1].'</td>
			</tr>
	';
}

echo '
			</table>

		</td><td class="g" style="vertical-align:top; width:30%;">
			<table class="main">
			<tr><td class="g"><b>'.$_TEXT['PROFILE_AVATAR'].'</b></td></tr>
			<tr><td class="w" style="text-align:center;">
';
				if ($data['avatar'] !="") { echo '<img src="'.$data['avatar'].'" border="0" >';} else { echo '-'; }
echo '
			</td></tr>
			</table>
			&nbsp;<table class="main">
';

$list = array();

// Nachricht
if ($_SESSION['Benutzername'] <> '')
{
	array_push($list, array($_TEXT['EMAIL'], '<a href="mail.php?user='.$user.'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/mailS.png" style="vertical-align:bottom;" border="0" alt="'.$_TEXT['SEND_EMAIL'].'"></a> <a href="mail.php?user='.$user.'">'.$_TEXT['SEND_EMAIL'].'</a>'));
}

// Homepage
if ($data['homepage']!="") 
{
	if (!is_integer(strpos($data['homepage'],"://")))
		$data['homepage'] = 'http://'.$data['homepage'];
	array_push($list, array($_TEXT['HOMEPAGE'], '<a href="'.$data['homepage'].'" target="_blank"><img src="styles/'.$_FORUM['settings_design_style'].'/images/homeS.png" style="vertical-align:bottom;" border="0"  alt="'.$_TEXT['HOMEPAGE'].'"></a> <a href="'.$data['homepage'].'" target="_blank">'.$data['homepage'].'</a>'));
}

//ICQ
if ($data['icq']<>"")
{
	array_push($list, array($_TEXT['ICQ'], '<a href="http://web.icq.com/whitepages/message_me?uin='.$data['icq'].'&action=message" target="_blank"><img src="http://web.icq.com/whitepages/online?icq='.$data['icq'].'&img=5" border="0" alt="'.$_TEXT['ICQ'].'"></a> <a href="http://web.icq.com/whitepages/message_me?uin='.$data['icq'].'&action=message" target="_blank">'.$data['icq'].'</a>'));
}

// SKYPE
if ($data['skype']<>"")
{
	array_push($list, array($_TEXT['SKYPE'], '<a href="callto://'.$data['skype'].'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/skypeS.png" style="vertical-align:bottom;" border="0" alt="'.$_TEXT['SKYPE'].'"></a> <a href="callto://'.$data['skype'].'">'.$data['skype'].'</a>'));
}


// MSN
if ($data['msn']<>"")
{
	array_push($list, array($_TEXT['MSN'], '<a href="http://members.msn.com/?mem='.$data['msn'].'" target="_blank"><img src="styles/'.$_FORUM['settings_design_style'].'/images/msnS.png" border="0" alt="'.$_TEXT['MSN'].'"></a> <a href="http://members.msn.com/?mem='.$data['msn'].'" target="_blank">'.$data['msn'].'</a>'));
}
$class = "w";
foreach ($list as $line)
{
	$class = ($class=='w'?'g':'w');
	echo '
			<tr>
				<td class="'.$class.'">'.$line[1].'</td>
			</tr>
	';
}

echo '
			</table>
		</td></tr>
		</table>
	</div>
';


require './include/page_bottom.php'; 

?>